<?php
/**
 * MobiCustomization_MembershipProduct
 *
 * @category  PHP
 * @package   MobiCustomization_MembershipProduct
 * @author    MobiCustomization <info@mobicommerce.net>
 * @copyright 2022 Copyright (c) MobiCommerce
 * @link      https://www.mobicommerce.net/
 */

namespace MobiCustomization\AutoCouponGeneration\Observer\Frontend\Sales;

use Magento\Framework\Event\ObserverInterface;

class SetItemIsMembershipProduct implements ObserverInterface
{

    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        $quoteItem = $observer->getQuoteItem();
        $product = $observer->getProduct();
        $isMembershipProduct = $product->getIsMembershipProduct();
        $quoteItem->setIsMembershipProduct($isMembershipProduct);
    }
}