<?php

/**
 * MobiCustomization_MembershipProduct
 *
 * @category  PHP
 * @package   MobiCustomization_MembershipProduct
 * @author    MobiCustomization <info@mobicommerce.net>
 * @copyright 2022 Copyright (c) MobiCommerce
 * @link      https://www.mobicommerce.net/
 */
namespace MobiCustomization\AutoCouponGeneration\Plugin;

class IsMembershipProductQuoteItemToOrderItem
{
    public function aroundConvert(
        \Magento\Quote\Model\Quote\Item\ToOrderItem $subject,
        \Closure $proceed,
        \Magento\Quote\Model\Quote\Item\AbstractItem $item,
        $additional = []
    ) {
        /** @var $orderItem \Magento\Sales\Model\Order\Item */
        $orderItem = $proceed($item, $additional);
        $orderItem->setIsMembershipProduct($item->getIsMembershipProduct());
        return $orderItem;
    }
}